# This file is a template, and might need editing before it works on your project.
# Official language image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/python/tags/
image: python:latest

# Change pip's cache directory to be inside the project directory since we can
# only cache local items.
variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

# Pip's cache doesn't store the python packages
# https://pip.pypa.io/en/stable/reference/pip_install/#caching
#
# If you want to also cache the installed packages, you have to install
# them in a virtualenv and cache it as well.
cache:
  paths:
    - .cache/pip
    - venv/

before_script:
  - python -V  # Print out python version for debugging
  - pip install virtualenv
  - virtualenv venv
  - source venv/bin/activate
  - pip install -r requirements.txt


stages:
  - Test

#flake8:
#  stage: Static Analysis
#  script:
#  - flake8 --max-line-length=120 app/*.py

unit_test:
  stage : Test
  script:
  - pwd
  - ls -l
  - export PYTHONPATH="$PYTHONPATH:."
  - python -c "import sys;print(sys.path)"
  - export PYTHONPATH="$PYTHONPATH:./app/"
  - python -c "import sys;print(sys.path)"
  - pytest --cov=rt_congestion_control rt_congestion_control/test/
  #- coverage run -m pytest rt_congestion_control/

  - coverage report -m
  - coverage xml
  - coverage-badge
      
  coverage: '/TOTAL.+ ([0-9]{1,3}%)/'
